import { ApplicationConfig, ApplicationRef, ImportProvidersSource, Type } from '@angular/core';
import { ConfigLoadOptions } from '@rxap/config';
import { Environment } from '@rxap/environment';
import { Application } from './application';
export declare class StandaloneApplication<O extends ApplicationConfig> extends Application<O, ApplicationRef> {
    private readonly rootComponent;
    constructor(environment: Environment, rootComponent: Type<unknown>, options?: O, configLoadOptions?: ConfigLoadOptions);
    importProvidersFrom(...sources: ImportProvidersSource[]): void;
    protected create(): Promise<ApplicationRef>;
    protected prepareConfig(config: O): void;
}
